"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PythonExtension = exports.PVSC_EXTENSION_ID = void 0;
const vscode_1 = require("vscode");
var ColumnType;
(function (ColumnType) {
    ColumnType["String"] = "string";
    ColumnType["Number"] = "number";
    ColumnType["Bool"] = "bool";
})(ColumnType || (ColumnType = {}));
exports.PVSC_EXTENSION_ID = 'ms-python.python';
var PythonExtension;
(function (PythonExtension) {
    async function api() {
        const extension = vscode_1.extensions.getExtension(exports.PVSC_EXTENSION_ID);
        if (extension === undefined) {
            throw new Error(`Python extension is not installed or is disabled`);
        }
        if (!extension.isActive) {
            await extension.activate();
        }
        const pythonApi = extension.exports;
        return pythonApi;
    }
    PythonExtension.api = api;
})(PythonExtension = exports.PythonExtension || (exports.PythonExtension = {}));
//# sourceMappingURL=main.js.map